summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgfmt-11
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2003-02-14 15:40:45 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:09:50 +0200
commit94dbaa8212aa06e854834437eaacd15185ec7ee8 (patch)
treed76e25b7a01ac0472dad5367597c52758ab9b5d9 /gettext-tools/tests/msgfmt-11
parent89525167dfb6ca56df9c882783671ec4a0a0b95b (diff)
downloadexternal_gettext-94dbaa8212aa06e854834437eaacd15185ec7ee8.zip
external_gettext-94dbaa8212aa06e854834437eaacd15185ec7ee8.tar.gz
external_gettext-94dbaa8212aa06e854834437eaacd15185ec7ee8.tar.bz2
Move tests/msgfmt-11 to gettext-tools/tests/msgfmt-11.
Diffstat (limited to 'gettext-tools/tests/msgfmt-11')
-rwxr-xr-xgettext-tools/tests/msgfmt-1136
1 files changed, 36 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgfmt-11 b/gettext-tools/tests/msgfmt-11
new file mode 100755
index 0000000..0d8f1ff
--- /dev/null
+++ b/gettext-tools/tests/msgfmt-11
@@ -0,0 +1,36 @@
+#! /bin/sh
+
+# Test handling of invalid multibyte sequences.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles mf-11.po"
+cat <<\EOF > mf-11.po
+msgid ""
+msgstr ""
+"Project-Id-Version: control-center 1.0.6\n"
+"POT-Creation-Date: 2002-06-02 17:13-0700\n"
+"PO-Revision-Date: 2002-05-29 20:11+0200\n"
+"Last-Translator: Yuriy Syrota <yuri@renome.rovno.ua>\n"
+"Language-Team: Ukrainian <uk@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+msgid "_Enable keyboard accessibility"
+msgstr "_Ув╕мкнути спец╕альн╕ можливост╕ клав╕атури"
+EOF
+
+tmpfiles="$tmpfiles mf-11.mo core *.core"
+: ${MSGFMT=msgfmt}
+${MSGFMT} --check -o mf-11.mo mf-11.po 2>/dev/null
+# Exit code must be 1.
+# If the invalid sequence didn't get noticed, it would be 0.
+# If it produced a core dump, it would be 134 (= 128 + SIGABRT).
+test $? = 1
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result